// uniform float x;
// uniform float y;

uniform float fx;
uniform float fy;

uniform float light_count = 0;
uniform vec2 lights[20];
uniform vec3 light_colors[20];

float LIGHT_RADIUS = 512;

vec4 effect(vec4 color, sampler2D texture, vec2 texCoord, vec2 screenCoord) {
	screenCoord.y = (600 - screenCoord.y);

	// vec2 p1 = vec2(x, y);
	vec2 p2 = vec2(fx, fy);
	vec2 p3 = screenCoord.xy;

	// float dist1 = distance(p1, p3) / 512;
	// float dist2 = distance(p1, p2) / 512;
	// float dist = (dist1 + dist2) / 2;

	vec3 lighting = vec3(0);

	// dist = max(0, 1 - max(0, dist));

	for (int i = 0; i < light_count; i++) {
		float dist1 = distance(lights[i], p2) / LIGHT_RADIUS;
		float dist2 = distance(lights[i], p3) / LIGHT_RADIUS;
		float dist = 1 - max(0, (dist1 + dist2) / 2);
		lighting += vec3(
			max(0, dist * light_colors[i].x), 
			max(0, dist * light_colors[i].y), 
			max(0, dist * light_colors[i].z));
	}

	// lighting.rgb += vec3(dist, dist, dist);

	color.rgb = lighting;

	return color;
}